=== debian/changelog ===
opencc (1.0.4-5) unstable; urgency=medium

  * Make ocd data files arch:any (Closes: #851733)

 -- Aron Xu <aron@debian.org>  Fri, 20 Jan 2017 15:15:35 +0800

opencc (1.0.4-4) unstable; urgency=medium

  * Tighter Breaks/Conflicts version (Closes: #847145)

 -- Aron Xu <aron@debian.org>  Mon, 19 Dec 2016 23:30:01 +0800

opencc (1.0.4-3) unstable; urgency=medium

  * Correct Breaks/Conflicts version (Closes: #846665)

 -- Aron Xu <aron@debian.org>  Sun, 04 Dec 2016 16:39:48 +0800

opencc (1.0.4-2) unstable; urgency=medium

  [ Aron Xu ]
  * Install data files to libopencc2-data, drop -dbg package
    (Closes: #836395)

  [ Boyuan Yang ]
  * Add BSD-3-clause license in d/copyright

 -- Aron Xu <aron@debian.org>  Sat, 03 Sep 2016 21:07:26 +0800

opencc (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Update d/watch to Github URL
  * std-ver: 3.9.6 -> 3.9.8, no change
  * Update VCS-Browser URL to use HTTPS

 -- Aron Xu <aron@debian.org>  Mon, 08 Aug 2016 14:43:15 +0800

opencc (1.0.3-1) experimental; urgency=medium

  * New upstream release
  * Add myself to Uploaders
  * Drop symbols file, see README.Debian

 -- Aron Xu <aron@debian.org>  Wed, 16 Dec 2015 00:34:21 +0800

opencc (1.0.2-1) experimental; urgency=medium

  * Team upload for new upstream release.
  * SONAME transition: libopencc1 -> libopencc2
  * Add libjs-jquery, libtclap-dev, darts, rapidjson-dev to B-D.
  * Patches added/updated:
    - lib-name-match-soversion.patch: rename library to match SONAME
    - install-data-file-to-meet-need-of-multi-arch.patch: updated
    - use-system-libraries.patch: do not use embeded libraries
  * Use system version of jquery.js instead of embeded one.
  * Removed python-opencc, upstream abandoned.
  * Updated symbols file.
  * Rewrite copyright file to machine-readable format.
  * Allow parallel building.

 -- Aron Xu <aron@debian.org>  Thu, 20 Nov 2014 17:09:31 +0800
