=== debian/control ===
Source: opencc
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>,
           Asias He <asias@debian.org>,
           YunQiang Su <wzssyqa@gmail.com>,
           Osamu Aoki <osamu@debian.org>,
           Aron Xu <aron@debian.org>
Build-Depends: cmake,
               darts,
               debhelper (>= 9),
               doxygen,
               libjs-jquery,
               libtclap-dev,
               python,
               rapidjson-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/BYVoid/OpenCC
Vcs-Git: git://anonscm.debian.org/pkg-ime/opencc.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ime/opencc.git

Package: opencc
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: libopencc2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: simplified-traditional Chinese conversion tool
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the conversion tool.

Package: libopencc2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libopencc2-data
Breaks: libopencc2-data (<< 1.0.4-5~)
Replaces: libopencc2-data (<< 1.0.4-5~)
Description: simplified-traditional Chinese conversion library - runtime
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the shared library.

Package: libopencc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjs-jquery, libopencc2 (= ${binary:Version}), ${misc:Depends}
Description: simplified-traditional Chinese conversion library - development
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the development support files.

Package: libopencc2-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libopencc-dev (<< 1.0.4-5~), libopencc2 (<< 1.0.4-5~)
Replaces: libopencc-dev (<< 1.0.4-5~), libopencc2 (<< 1.0.4-5~)
Description: simplified-traditional Chinese conversion library - data files
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the data files.
