=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags.
CFLAGS += $(CPPFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
		-DCMAKE_BUILD_TYPE=Release \
		-DBUILD_DOCUMENTATION=ON

override_dh_auto_install:
	dh_auto_install
	ln -sf /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/opencc/doc/html/jquery.js

override_dh_auto_clean:
	dh_auto_clean
	find . -name *.pyc -delete
