## opencc 1.0.5

=== debian/changelog ===
opencc (1.0.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against gcc 8.
  * debian/control:
    + Update uploaders email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/rules: Avoid explicit invocation to dpkg-architecture.

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Sep 2018 15:07:38 -0400

opencc (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream Release.
  * Remove libopencc2 M-A:same mark for now since ocd files exist.
    (Closes: #874227)
  * Remove LI Daobing from Uploaders list. (Closes: #841792)
    Thank you for your previous work!
  * Apply "wrap-and-sort -abst".
  * d/patches: Refresh patches.
  * d/changelog: Remove trailing spaces.
  * d/control: Use debian-input-method maillist in Maintainer field.
    Closes: #899625.
  * d/control: Use Vcs URL on Salsa platform.
  * d/control: Bump Standards-Version to 4.1.4.
  * d/control: Bump debhelper compat to v11.
  * d/rules: Use NEWS.md as upstream changelog.
  * d/rules: Use "dh_missing --fail-missing".
  * d/shlibs: Explicitly require the latest library version.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 21 Jun 2018 11:18:37 +0800
