=== debian/control ===
Source: opencc
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Asias He <asias@debian.org>,
 YunQiang Su <syq@debian.org>,
 Osamu Aoki <osamu@debian.org>,
 Aron Xu <aron@debian.org>,
Build-Depends:
 cmake,
 darts,
 debhelper (>= 11~),
 doxygen,
 libjs-jquery,
 libtclap-dev,
 python,
 rapidjson-dev,
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/BYVoid/OpenCC
Vcs-Git: https://salsa.debian.org/debian/opencc.git
Vcs-Browser: https://salsa.debian.org/debian/opencc

Package: libopencc-dev
Section: libdevel
Architecture: any
Depends:
 libjs-jquery,
 libopencc2 (= ${binary:Version}),
 ${misc:Depends},
Description: simplified-traditional Chinese conversion library - development
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the development support files.

Package: libopencc2
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencc2-data,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libopencc2-data (<< 1.0.4-5~)
Replaces: libopencc2-data (<< 1.0.4-5~)
Description: simplified-traditional Chinese conversion library - runtime
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the shared library.

Package: libopencc2-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 libopencc-dev (<< 1.0.4-5~),
 libopencc2 (<< 1.0.4-5~),
Replaces:
 libopencc-dev (<< 1.0.4-5~),
 libopencc2 (<< 1.0.4-5~),
Description: simplified-traditional Chinese conversion library - data files
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the data files.

Package: opencc
Section: utils
Architecture: any
Multi-Arch: foreign
Depends:
 libopencc2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: simplified-traditional Chinese conversion tool
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the conversion tool.
