=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/opencc-$1\.tar\.gz/ \
  https://github.com/byvoid/opencc/tags .*/ver\.?(\d\S*)\.tar\.gz
