=== debian/changelog ===
opencc (1.0.5+git20190530-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:08:50 +0100

opencc (1.0.5+git20190530-1) unstable; urgency=medium

  * Team upload.
  * New upstream git snapshot (2019-05-30).
    - opencc::ConvertDirectory is now exported.
    - Various fixes and document updates.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper copmat to v12.
    + Add build-dependency graphviz for dot support for doxygen.
  * debian/patches: Add patch 0004 to migrate from python2 to
    python3. (Closes: #937195)

 -- Boyuan Yang <byang@debian.org>  Fri, 30 Aug 2019 14:09:03 -0400
