=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 Build-Depends:
  cmake,
  darts,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  doxygen,
+ graphviz,
  libjs-jquery,
  libtclap-dev,
- python,
+ python3:any,
  rapidjson-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://github.com/BYVoid/OpenCC
 Vcs-Git: https://salsa.debian.org/debian/opencc.git
@@ -42,8 +43,10 @@
  libopencc2-data,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libopencc2-data (<< 1.0.4-5~)
-Replaces: libopencc2-data (<< 1.0.4-5~)
+Breaks:
+ libopencc2-data (<< 1.0.4-5~),
+Replaces:
+ libopencc2-data (<< 1.0.4-5~),
 Description: simplified-traditional Chinese conversion library - runtime
  opencc is a library for converting character between traditional Chinese and
  simplified Chinese.
