=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,20 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/buildflags.mk
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 # CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
 # missing (hardening) flags.
 CFLAGS += $(CPPFLAGS)
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -25,3 +30,9 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -name *.pyc -delete
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k NEWS.md
+
+override_dh_missing:
+	dh_missing --fail-missing
