=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
+find_package(PythonInterp REQUIRED)
+
 set(OPENCC_DICT_BIN opencc_dict)
-set(DICT_MERGE_BIN python ${CMAKE_CURRENT_SOURCE_DIR}/scripts/merge.py)
-set(DICT_REVERSE_BIN python ${CMAKE_CURRENT_SOURCE_DIR}/scripts/reverse.py)
+set(DICT_MERGE_BIN "${PYTHON_EXECUTABLE}" "${CMAKE_CURRENT_SOURCE_DIR}/scripts/merge.py")
+set(DICT_REVERSE_BIN "${PYTHON_EXECUTABLE}" "${CMAKE_CURRENT_SOURCE_DIR}/scripts/reverse.py")
 set(DICT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/dictionary)
 set(DICT_GENERATED_DIR ${CMAKE_CURRENT_BINARY_DIR})
 
@@ -12,10 +14,11 @@
   TSPhrases
   TWVariants
   TWVariantsRevPhrases
+  HKVariants
+  HKVariantsRevPhrases
   JPVariants
-  HKVariants
-  HKVariantsPhrases
-  HKVariantsRevPhrases
+  JPShinjitaiCharacters
+  JPShinjitaiPhrases
 )
 
 set(
@@ -24,12 +27,13 @@
   TWPhrasesRev
   TWVariantsRev
   HKVariantsRev
+  JPVariantsRev
 )
 
 set(DICTS ${DICTS_RAW} ${DICTS_GENERATED})
 
 foreach(DICT ${DICTS})
-  set(DICT_TARGETS ${DICT_TARGETS} ${DICT}.ocd)
+  set(DICT_TARGETS ${DICT_TARGETS} ${DICT}.ocd2)
 endforeach(DICT)
 
 add_custom_target(
@@ -85,6 +89,15 @@
   ${DICT_REVERSE_BIN} ${DICT_HKVariantsRev_GENERATING_INPUT} HKVariantsRev.txt
 )
 
+set(
+  DICT_JPVariantsRev_GENERATING_INPUT
+  ${DICT_DIR}/JPVariants.txt
+)
+set(
+  DICT_JPVariantsRev_GENERATING_COMMAND
+  ${DICT_REVERSE_BIN} ${DICT_JPVariantsRev_GENERATING_INPUT} JPVariantsRev.txt
+)
+
 foreach(DICT ${DICTS_GENERATED})
   add_custom_command(
     OUTPUT
@@ -106,17 +119,17 @@
 foreach(DICT ${DICTS})
   add_custom_command(
     OUTPUT
-      ${DICT}.ocd
+      ${DICT}.ocd2
     COMMENT
-      "Building ${DICT}.ocd"
+      "Building ${DICT}.ocd2"
     COMMAND
       ${CMAKE_COMMAND} -E copy "$<TARGET_FILE:libopencc>" "$<TARGET_FILE_DIR:${OPENCC_DICT_BIN}>"
     COMMAND
       ${OPENCC_DICT_BIN}
         --input ${DICT_${DICT}_INPUT}
-        --output ${DICT}.ocd
+        --output ${DICT}.ocd2
         --from text
-        --to ocd
+        --to ocd2
     DEPENDS
       ${OPENCC_DICT_BIN}
       ${DICT_${DICT}_INPUT}
@@ -124,7 +137,7 @@
 
   install(
     FILES
-      ${DICT_GENERATED_DIR}/${DICT}.ocd
+      ${DICT_GENERATED_DIR}/${DICT}.ocd2
     DESTINATION
       ${DIR_SHARE_OPENCC}
   )
@@ -132,21 +145,25 @@
   set_directory_properties(
     PROPERTIES
       ADDITIONAL_MAKE_CLEAN_FILES
-        "${DICT_GENERATED_DIR}/${DICT}.ocd"
+        "${DICT_GENERATED_DIR}/${DICT}.ocd2"
   )
 endforeach(DICT)
 
 set(CONFIG_FILES
+  config/hk2s.json
+  config/hk2t.json
+  config/jp2t.json
+  config/s2hk.json
   config/s2t.json
-  config/t2s.json
   config/s2tw.json
   config/s2twp.json
+  config/t2hk.json
+  config/t2jp.json
+  config/t2s.json
+  config/t2tw.json
   config/tw2s.json
   config/tw2sp.json
-  config/t2tw.json
-  config/s2hk.json
-  config/hk2s.json
-  config/t2hk.json
+  config/tw2t.json
 )
 
 install(
