=== test/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,19 @@
 endforeach (CONFIG_TEST_FILE)
 
 if (ENABLE_GTEST)
+  if (WIN32)
+    add_custom_target(
+        copy_gtest_to_test
+        ${CMAKE_COMMAND} -E copy $<TARGET_FILE:gtest> ${CMAKE_CURRENT_BINARY_DIR}
+      COMMENT "Copy gtest"
+    )
+    add_custom_target(
+        copy_gtest_main_to_test
+        ${CMAKE_COMMAND} -E copy $<TARGET_FILE:gtest_main> ${CMAKE_CURRENT_BINARY_DIR}
+      COMMENT "Copy gtest_main"
+    )
+  endif()
+
   include_directories(../deps/gtest-1.7.0/include)
   set(UNITTESTS
     CommandLineConvertTest
@@ -22,5 +35,8 @@
     add_executable(${UNITTEST} ${UNITTEST}.cpp)
     target_link_libraries(${UNITTEST} gtest gtest_main libopencc)
     add_test(${UNITTEST} ${UNITTEST})
+    if (WIN32)
+      add_dependencies(${UNITTEST} copy_gtest_to_test copy_gtest_main_to_test)
+    endif()
   endforeach(UNITTEST)
 endif()
