=== debian/changelog ===
opencc (1.1.1+git20200624+ds2-10) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Backport patch to fix performance regression again.
    Add
    + 0006-Fix-a-bug-in-the-calculation-of-DictGroup-keyMaxLeng.patch
    + 0007-Fix-a-severe-performance-bug-in-Conversion-Convert-t.patch

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 07 Mar 2021 14:20:40 +0800

opencc (1.1.1+git20200624+ds2-9) experimental; urgency=medium

  * Team upload.
  * Remove unused command from autopkgtest scripts
  * Add build-essential to autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 07 Mar 2021 00:54:22 +0800

opencc (1.1.1+git20200624+ds2-8) experimental; urgency=medium

  * Team upload.
  * Enable test when building
  * Add autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 06 Mar 2021 17:57:00 +0800

opencc (1.1.1+git20200624+ds2-7) unstable; urgency=high

  * Team upload.
  * Drop debian/patches/0005 for now due to regression reported.
    See also https://github.com/fcitx/fcitx5/issues/238 .

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Mar 2021 09:37:48 -0500

opencc (1.1.1+git20200624+ds2-6) unstable; urgency=high

  * Team upload.
  * debian/patches/0005: Add upstream patch to fix severe performance
    regression in `Conversion::Convert` that caused O(N^2) complexity.
  * debian/rules: Disable parallel build to workaround some random
    build error for now.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Feb 2021 19:48:01 -0500

opencc (1.1.1+git20200624+ds2-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Rewrite to support <!nodoc> build profile.
  * debian/rules: Enable dh_doxygen when building docs.
  * Drop unnecessary build dependencies. (Closes: #981606)
  * debian/control: Mark build-dependency doxygen as <!nodoc>.
  * debian/control: Drop build-dependency on libjs-jquery. Let
    doxygen handle it.
  * debian/control: Drop build-dependency on graphviz. Doxyfile
    did not enable HAVE_DOT.
  * debian/control: Drop build-dependency on dartz. Currently opencc
    uses its vendored copy.

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Feb 2021 11:58:39 -0500

opencc (1.1.1+git20200624+ds2-4) unstable; urgency=medium

  * Build-depends on pkg-kde-tools to handle symbols.
  * debian/libopencc1.1.symbols: Refresh symbols using Debian
    buildd logs.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jan 2021 17:52:00 -0500

opencc (1.1.1+git20200624+ds2-3) unstable; urgency=medium

  * Team upload.

  [ Gunnar Hjalmarsson ]
  * Replace shlibs file with symbols file
  * debian/patches/no-remote-images-when-reading-docs-on-disk.patch:
    - Fixes a privacy breach previously reported as Lintian warnings
  * Bump Standards-Version to 4.5.1
  * debian/source/lintian-overrides:
    - Explain why libopencc1.1 is not multi-archified even if
      libopencc-dev depends on it.

  [ Boyuan Yang ]
  * Mark package libopencc-dev as Multi-Arch: same

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Jan 2021 10:36:38 -0500

opencc (1.1.1+git20200624+ds2-2) unstable; urgency=high

  * Team upload.
  * debian/control: Mark package libopencc-data Breaks+Replaces the
    old libopencc2-data package. (Closes: #963187)

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 13:46:28 -0400

opencc (1.1.1+git20200624+ds2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 06:28:22 -0400

opencc (1.1.1+git20200624+ds2-1~exp2) experimental; urgency=medium

  * Team upload.
  * Rebuild against marisa 0.2.6.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 17:40:16 -0400

opencc (1.1.1+git20200624+ds2-1~exp1) experimental; urgency=medium

  * Team upload.

  [ 肖盛文 ]
  * add libopencc-doc.doc-base,to register opencc to doc-base
  * d/control:
     - add Section: doc for libopencc-doc
     - add Depends: libjs-jquery for the libopencc-doc package

  [ Boyuan Yang ]
  * Import new upstream snapshot 2020-06-24 to fix some bugs.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Jun 2020 20:34:50 -0400

opencc (1.1.1+ds1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ 肖盛文 ]
  * New upstream version 1.1.1
  * change libopencc data pkgname from libopencc[num]-data to libopencc-data
  * change libopencc pkgname from libopencc2 to libopencc1.1
  * update debian/libopencc1.1.install for filename *.ocd2
  * d/rules:
     - delete override_dh_missing:
     - use execute_after_dh_auto_clean:
     - use execute_after_dh_auto_install:
  * d/copyright:
     - update dirname for new upstream version
     - add xiao sheng wen <atzlinux@sina.com> for debian/*
     - add Upstream-Contact
  * d/control:
     - add Rules-Requires-Root: no
     - add New Uploaders: xiao sheng wen
     - delete some Replaces: and Breaks:,
       let the new version packages can co-exist with the old ones.
  * add debian/upstream/metadata
  * d/watch: use @PACKAGE@ @ANY_VERSION@@ARCHIVE_EXT@

  [ Boyuan Yang ]
  * ds: Do not include bundled gtest and libmarisa.
  * debian/rules: Explicitly disable building bundled libmarisa.
  * debian/libopencc1.1.shlibs: Reset version requirement.
  * debian/control: Add new build-dependency libmarisa-dev.
  * debian/patches: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 May 2020 15:51:01 -0400

opencc (1.0.6-2) unstable; urgency=medium

  * Team upload.
  * debian/libopencc2.shlibs: Bump version requirement to 1.0.6.
  * debian/control: Bump debhelper compat to v13.
  * debian/rules: Drop as-needed linker flag.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 May 2020 10:46:44 -0400

opencc (1.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.0.6.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Add Debian Chinese Team into uploaders to show team's interest
      in package co-maintenance.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Apr 2020 18:20:20 -0400
