=== debian/control ===
Source: opencc
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Debian Chinese Team <chinese-developers@lists.alioth.debian.org>,
 Asias He <asias@debian.org>,
 YunQiang Su <syq@debian.org>,
 Osamu Aoki <osamu@debian.org>,
 Aron Xu <aron@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 cmake,
 darts,
 debhelper-compat (= 13),
 doxygen <!nodoc>,
 googletest <!nocheck>,
 libmarisa-dev,
 libtclap-dev,
 python3:any,
 pkg-kde-tools,
 rapidjson-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/BYVoid/OpenCC
Vcs-Git: https://salsa.debian.org/debian/opencc.git
Vcs-Browser: https://salsa.debian.org/debian/opencc

Package: libopencc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencc1.1 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libopencc-doc,
Description: simplified-traditional Chinese conversion library - development
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the development support files.

Package: libopencc1.1
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencc-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: simplified-traditional Chinese conversion library - runtime
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the shared library.

Package: libopencc-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks: libopencc2-data (<< 1.1.1~)
Replaces: libopencc2-data (<< 1.1.1~)
Description: simplified-traditional Chinese conversion library - data files
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the data files.

Package: libopencc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: simplified-traditional Chinese conversion library - document
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the library document files.

Package: opencc
Section: utils
Architecture: any
Multi-Arch: foreign
Depends:
 libopencc1.1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libopencc-doc,
Description: simplified-traditional Chinese conversion tool
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.
 .
 This package includes the conversion tool.
